Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.accessibility
Class AccessibleAttributeEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.accessibility.AccessibleAttributeEvent

public class AccessibleAttributeEvent
extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleAttribute messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleAttributeListener`, `AccessibleAttributeAdapter`, Serialized Form

Field Summary
`int` `alignment`
`String[]` `attributes`
`int` `bottomMargin`
`int` `indent`
`boolean` `justify`
`int` `leftMargin`
`int` `rightMargin`
`int[]` `tabStops`
`int` `topMargin`

Constructor Summary
`AccessibleAttributeEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### topMargin

    public int topMargin

### bottomMargin

    public int bottomMargin

### leftMargin

    public int leftMargin

### rightMargin

    public int rightMargin

### tabStops

    public int[] tabStops

### justify

    public boolean justify

### alignment

    public int alignment

### indent

    public int indent

### attributes

    public String[] attributes

Constructor Detail

### AccessibleAttributeEvent

    public AccessibleAttributeEvent(Object source)

  Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.